Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
artifacts
Create Artifact
curl --request POST \
  --url https://api.ontora.com/v1/projects/{project_id}/artifacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "artifact_type": "<string>",
  "title": "<string>",
  "data_json": {},
  "description": "<string>",
  "source_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entity_refs": [
    "<string>"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "artifact_type": "<string>",
  "title": "<string>",
  "description": "<string>",
  "data_json": {},
  "source_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entity_refs": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required

Body

application/json
artifact_type
string
required
title
string
required
data_json
Data Json · object
required
description
string | null
source_message_id
string<uuid> | null
entity_refs
string[] | null

Response

Successful Response

id
string<uuid>
required
project_id
string<uuid>
required
workspace_id
string<uuid>
required
artifact_type
string
required
title
string
required
description
string | null
required
data_json
Data Json · object
required
source_message_id
string<uuid> | null
required
entity_refs
string[] | null
required
created_at
string<date-time>
required